必应壁纸历史
获取 Bing 壁纸历史记录,最多 8 天
GET
https://api.tinyaii.cn/v1/bing/wallpaper/history
请求参数
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| days | integer | 可选 | 查询天数(1-8,默认 7) | 7 |
返回字段
| 字段 | 类型 | 说明 |
|---|---|---|
| code | int | 状态码 |
| count | int | 返回壁纸数量 |
| images | array | 壁纸列表 |
| images[].title | string | 壁纸标题 |
| images[].url | string | 壁纸图片链接(1080p) |
| images[].url_4k | string | 壁纸4K高清链接 |
| images[].date | string | 日期(YYYYMMDD) |
| images[].copyright | string | 版权信息 |
| message | string | 状态信息 |
返回示例
{
"code": 200,
"data": {
"count": 7,
"images": [
{
"title": "承受压力之下的平原",
"url": "https://bing.com/th?id=OHR.xxx_1920x1080.jpg",
"url_4k": "https://bing.com/th?id=OHR.xxx_UHD.jpg",
"date": "20260506",
"copyright": "平原上空的雷暴,保加利亚"
}
]
},
"message": "success"
}
调用示例
curl "https://api.tinyaii.cn/v1/bing/wallpaper/history?days=7" \
-H "Authorization: Bearer YOUR_API_KEY"const res = await fetch("https://api.tinyaii.cn/v1/bing/wallpaper/history?days=7", {
headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());import requests
resp = requests.get(
"https://api.tinyaii.cn/v1/bing/wallpaper/history",
params={"days": "7"},
headers={"Authorization": "Bearer YOUR_API_KEY"},
timeout=10,
)
print(resp.json())把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。